# Install using: sudo su -c "bash <(wget -qO- /url/to/install-pdftk.sh)"
# description: bash script to install pdftk on Ubuntu 18.04 for amd64 machines

# Make sure script is ran as root
if [[ $EUID -ne 0 ]]; then
	exec sudo /bin/bash "$0" "$@"
fi

curl https://downloads.plex.tv/plex-keys/PlexSign.key | apt-key add -
echo deb https://downloads.plex.tv/repo/deb public main | tee /etc/apt/sources.list.d/plexmediaserver.list
apt update
apt install plexmediaserver
systemctl status plexmediaserver
nano /etc/ufw/applications.d/plexmediaserver

ufw app update plexmediaserver
ufw allow plexmediaserver-all
ufw status verbose

mkdir -p /opt/plexmedia/{movies,series,music}
chown -R plex: /opt/plexmedia
apt-get install cifs-utils

mkdir /media/multimedia

# //192.168.0.4/Multimedia /media/multimedia cifs username=xbox,password=xbox 0 0